class Doctrine

    def self.create_database(data_container, db_container = nil)
        puts '-- Creating Symfony Doctrine database'
        docker_command = self.get_docker_command(data_container, db_container) << 'doctrine:database:create'
        puts '---- Running: ' << docker_command
        output = `#{docker_command}`
        print output
        fail 'Database creation failed!' unless /(exists|Created)/.match(output)
    end

    def self.run_migrations(data_container, db_container = nil)
        puts '-- Running Symfony Doctrine migrations'
        docker_command = self.get_docker_command(data_container, db_container) << 'doctine:migrations:migrate --no-interaction'
        puts '---- Running: ' << docker_command
        fail 'Database migrations failed!' unless system docker_command
    end

    private
    def self.get_docker_command(data_container, db_container = nil)
        docker_command = "docker run --rm --volumes-from #{data_container} "
        if db_container != nil
            docker_command << "--link #{db_container}:#{db_container} "
        end
      docker_command << 'vjftw/php-cli app/console --ansi '

      return docker_command
    end

end
